import json
import os

from song import Song

def load_song(song_file: str) -> Song:
    print("load song:", song_file)
    cd = os.getcwd()
    print("current directory", cd)
    with open(song_file, 'r') as f:
        return Song(**json.load(f))

if __name__ == "__main__":
    song = load_song('assets/music/json/tetris.json')
    print(song)
    raise SystemExit(0)